summaryrefslogtreecommitdiffstats
path: root/office/texlive-extra/texlive-extra.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/texlive-extra/texlive-extra.SlackBuild')
-rw-r--r--office/texlive-extra/texlive-extra.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/office/texlive-extra/texlive-extra.SlackBuild b/office/texlive-extra/texlive-extra.SlackBuild
index c5d2a1e558..81c72d7bd2 100644
--- a/office/texlive-extra/texlive-extra.SlackBuild
+++ b/office/texlive-extra/texlive-extra.SlackBuild
@@ -25,8 +25,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=texlive-extra
-VERSION=${VERSION:-2017.170622}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2017.171108}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -34,8 +34,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -44,20 +42,24 @@ if [ -z "$ARCH" ]; then
esac
fi
+set -e
+
rm -rf $PKG
-mkdir -p $TMP $PKG/usr/share $OUTPUT
+mkdir -p $TMP $PKG/usr/share $OUTPUT $PKG/usr/bin $PKG/usr/doc/texlive-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
chown -R root:root $PKG
chmod -R u+w,go-w,a+rX-st $PKG
# Move biber binary to $PATH
-mkdir -p $PKG/usr/bin
case $ARCH in
"x86_64") mv $PKG/usr/share/texmf-dist/bin/x86_64-linux/biber $PKG/usr/bin ;;
"i586") mv $PKG/usr/share/texmf-dist/bin/i386-linux/biber $PKG/usr/bin ;;
esac
rm -rf $PKG/usr/share/texmf-dist/bin
+# Install index of provided tex packages to the docs
+mv $PKG/usr/share/texmf-dist/packages.extra.gz $PKG/usr/doc/texlive-$VERSION
+
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc